<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class AdminPlugooPluginSettingsView extends AdminPluginTemplatedView
	{

		function AdminPlugooPluginSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "plugoo", "pluginsettings" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_plugoo_enabled" );
			$pluginUrl = $blogSettings->getValue( "plugin_plugoo_url" );
			
       		
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "pluginUrl", $pluginUrl );
			
			
			
			parent::render();
		}
	}
?>